@import url('https://fonts.googleapis.com/css2?family=IM+Fell+English:ital@0;1&family=Roboto+Mono:wght@200;400&family=Wavefont:wght@200&display=swap');

* {
    margin: auto 0;
}

body {
    overflow: hidden;
    background-color: black;
}

.key {
    z-index: 23;
    position: fixed;
    top: 20%;
    left: 50%;
    transform: translate(-50%, 50%);
    height: 237px; /* You can adjust this as per your needs */
}

.key:hover {
    background-color: rgb(0, 0, 0);
    filter: invert();
}

.bgVideo  {  
    display: block;
    position:fixed;
    object-fit: cover;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 40%;
        
}

canvas {
    position: fixed;
    top: 0;
    z-index: 0;
    opacity: 60;
   
}

@keyframes hueRotateAnimation {
    0% {
      filter: hue-rotate(0deg);
    }
    100% {
      filter: hue-rotate(360deg);
    }
  }
  
  .hueRotate {
    animation: hueRotateAnimation 10s linear infinite;
  }


  .portales {
    position: sticky;
    padding-top: 20vh;
    margin-left: 30VW;
    text-align: center;
    z-index: 23;

  }

  .portales a {
    text-align: center;
    padding: 10px;
    margin: 2vh;
    color: white;
    font-family: 'Roboto Mono';
    text-decoration: none;
  }

  .portales button:hover, a:hover {
    background-color: #8d0000;
  }

  .portales button {

    display: flex;
    flex-direction: column;
    margin: 30px;
    width: 50%;
    align-items: center;
    justify-content: space-around;
    align-content: center;
    flex-wrap: nowrap;
    background-color: #484848;
    color: white;
    border-radius: 15px;
  }


  @media (max-width: 768px) {

    .portales {
      padding-top: 5vh;
      text-align: center;
  
    }

    .portales button {

      
      margin: 25px;
      width: 45vw;
      align-items: center;
     
    }
    
    .portales h3 {
      font-size: 18px;
    }

    
  }
  